#
# spec file for package lux
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lux
Version:        0.22.0
Release:        1.1
Summary:        A video downloader built with Go
License:        MIT
Group:          Productivity/Networking/Web/Utilities
URL:            https://github.com/iawia002/lux
Source:         https://github.com/iawia002/lux/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.zst
BuildRequires:  golang-packaging
BuildRequires:  zstd
Requires:       ffmpeg

%description
Lux is a video downloader built with Go.

%prep
%autosetup -p1 -a1

%build
go build \
   -mod=vendor \
   -buildmode=pie

%install
install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Mon Nov  6 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.22.0:
  * build(deps): bump golang.org/x/net from 0.7.0 to 0.17.0 #1283
  * Updated API for requesting subtitles from bilibili #1285
  * feat: support bilibili b23.tv domain #1287
  * Updated Bilibili bangumi extractor due to an API change #1291
* Mon Oct  9 2023 Michael Vetter <mvetter@suse.com>
- Update to 0.21.0:
  * feat: add zingmp3 extractor #1280
  * Add goreleaser action #1281
* Sun Sep 24 2023 Michael Vetter <mvetter@suse.com>
- Initial package of lux 0.20.0 for openSUSE
